use eyre::Result;

mod endpoint;
mod state;
mod event;

mod irc_endpoint;

use state::RircdState;

//TODO maybe spawn the reactor later on with
//user provided parameters (cores/[st/mt])
#[tokio::main]
async fn main() -> Result<()> {
    let s = RircdState::new()?;

    s.run().await?;

    Ok(())
}
